DEVELOPER

Merchant Boarding API Specification

Version 1.42

production
sandbox

Application Pricing

Merchant Application Pricing related section.

Get Application Pricing

get /enroll/application/pricing/key/{externalKey}

Get application pricing details by application external key.

Parameters
externalKey required
Type
string
Pattern
^(?!.*/).*$
Range
1 to 50 characters
Example
0aa000a-000a-00a0-00a0-00000aa00a0

Loading...

Example Response
200 Return pricing details for enrollment application.
404 Application not found error response.
500 Internal server error response.

Update Application Pricing

patch /enroll/application/pricing/key/{externalKey}

The Update Application Pricing endpoint uses the PATCH method to give Partners the ability to edit pricing fields directly on applications. Please refer to the 'Pricing Field Conditions' section of the Merchant Boarding API Integration Guide for the field mapping conditions required to successfully update specific pricing field values. Once an application has been created, this endpoint can be leveraged to set customized values for applicable pricing fields without creating a new template. Any changes made using this endpoint will only affect the application specified by the external key and will not change the template.

Parameters
externalKey required
Type
string
Pattern
^(?!.*/).*$
Range
1 to 50 characters
Example
0aa000a-000a-00a0-00a0-00000aa00a0

Loading...

Request Schema
qualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

amexQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

midQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedTransactionFeeBump
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

interchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

amexInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

ebtInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

ebtQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

debitInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

debitQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedCheckCardRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedCheckCardTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

rewardRate
Type
string
Enum
MQQ203040506070809095
Example
Q

Loading...

accountSetupFee
Type
number
Range
0 to 999999.9999
Example
15.5

Loading...

interchangeTransactionPassthroughCreditFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

interchangeTransactionPassthroughCheckcardFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

equipmentCostToMerchant
Type
number
Default
0
Range
0 to 999999.99
Example
25

Loading...

pciFeeBillingFrequency
Type
string
Default
ANNUAL
Enum
MONTHLYANNUALmonthlyannualMonthlyAnnual
Example
ANNUAL

Loading...

edgeFlatFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

edgePercentFee
Type
number
Range
0 to 99
Example
0.25

Loading...

enableAchDiscountFee
Type
boolean
Example
true

Loading...

enableInterchangeTransactionPassthroughFee
Type
boolean
Example
true

Loading...

enablePassthroughAssessment
Type
boolean
Example
false

Loading...

enableNetworkAccessBrandFees
Type
boolean
Example
true

Loading...

waiveTerminationFee
Type
boolean
Example
false

Loading...

hasRealTimeAccountUpdaterEnabled
Type
boolean
Example
false

Loading...

additionalFees
Type
object

Loading...

Example Request
{
  "equipmentCostToMerchant": 20.5,
  "qualifiedRate": 0.69,
  "amexQualifiedRate": 0.12,
  "qualifiedTransactionFee": 0.99,
  "interchangeDuesAssessmentsBasisPoint": null,
  "amexInterchangeDuesAssessmentsBasisPoint": null,
  "ebtInterchangeDuesAssessmentsBasisPoint": null,
  "ebtQualifiedRate": null,
  "debitInterchangeDuesAssessmentsBasisPoint": null,
  "debitQualifiedRate": null,
  "qualifiedCheckCardRate": null,
  "qualifiedCheckCardTransactionFee": 1.5,
  "accountSetupFee": 10.12,
  "interchangeTransactionPassthroughCreditFee": 1.45,
  "interchangeTransactionPassthroughCheckcardFee": 2.45,
  "pciFeeBillingFrequency": "ANNUAL",
  "enableInterchangeTransactionPassthroughFee": false,
  "enablePassthroughAssessment": false,
  "enableNetworkAccessBrandFees": true,
  "waiveTerminationFee": false,
  "hasRealTimeAccountUpdaterEnabled": true,
  "additionalFees": {
    "achTransactionFee": 0,
    "achBatchHeaderFee": 30,
    "achMonthlyBasicServiceFee": 1,
    "achNotificationOfChangeFee": 1,
    "achPerItemFee": 1,
    "achRejectFee": 1,
    "achReturnFee": 1,
    "achUnauthorizedReturnFee": 22,
    "batchHeader": 0,
    "chargeBackFee": 15,
    "debitGatewayFee": 0,
    "debitTransactionFee": 0,
    "ebtTransactionFee": 0,
    "gatewayTransactionFee": 0,
    "internetGatewayMonthlyFee": 0,
    "internetTransactionFee": 0,
    "mcclaimsFee": 0,
    "merchantClubFee": 14.95,
    "monthlyBasicServiceFee": 5,
    "monthlyDiscountFee": 0,
    "monthlyHostingFee": 0,
    "monthlyMinimumDiscountFee": 25,
    "monthlyMinimumFee": 0,
    "monthlyRegulatoryFee": 0,
    "monthlySoftwareFeePerDevice": 11.99,
    "processorAuthorizationFee": 0,
    "retrievalFee": 15,
    "returnItemSupportFee": 0,
    "travelAndEntertainmentDraftCaptureTransactionFee": 0,
    "wirelessMonthlyFee": 0,
    "wirelessTransactionFee": 0,
    "visaRealTimeAccountUpdaterPassthruFee": 0.22
  }
}
Example Response
200 Return updated pricing details for enrollment application.
400 Bad request with validation errors
404 Application not found error
415 Unsupported media type response - Invalid content type.
422 Schema validation error within request body response.
©2026 North is a registered DBA of NorthAB, LLC. All rights reserved. North is a registered ISO of BMO Harris Bank N.A., Chicago, IL, Citizens Bank N.A., Providence, RI, The Bancorp Bank, Philadelphia, PA, FFB Bank, Fresno, CA, Wells Fargo Bank, N.A., Concord, CA, and PNC Bank, N.A.